summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/reproducible_html_specs.sh26
-rw-r--r--job-cfg/reproducible.yaml13
2 files changed, 38 insertions, 1 deletions
diff --git a/bin/reproducible_html_specs.sh b/bin/reproducible_html_specs.sh
new file mode 100755
index 00000000..0a8ff888
--- /dev/null
+++ b/bin/reproducible_html_specs.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# Copyright © 2015 Mattia Rizzolo <mattia@mapreri.org>
+# Copyright © 2015 Holger Levsen <holger@mapreri.org>
+# released under the GPLv=2
+
+DEBUG=false
+. /srv/jenkins/bin/common-functions.sh
+common_init "$@"
+
+. /srv/jenkins/bin/reproducible_common.sh
+
+set -e
+
+VERSION=$(git log -1 --pretty='%h')
+SPEC=$1
+
+make html
+
+mkdir -pv "$BASE/specs/$1"
+
+mv -v html/* "$BASE/specs/$1"
+
+irc_message "$REPRODUCIBLE_URL/specs/$1 updated to $VERSION"
+
+
diff --git a/job-cfg/reproducible.yaml b/job-cfg/reproducible.yaml
index b3a2b0b0..f6aa2782 100644
--- a/job-cfg/reproducible.yaml
+++ b/job-cfg/reproducible.yaml
@@ -365,6 +365,10 @@
name: '{name}_html_howto'
- job-template:
+ defaults: reproducible_git
+ name: '{name}_html_spec_source_date_epoch'
+
+- job-template:
defaults: reproducible
name: '{name}_html_all_packages'
@@ -735,12 +739,19 @@
my_recipients: 'qa-jenkins-scm@lists.alioth.debian.org'
my_node: ''
- '{name}_html_howto':
- my_description: 'Generate the HTML of the reproducible builds howto, triggered by changes to the <a href="https://anonscm.debian.org/cgit/reproducible/reproducible-builds-howto.git" target="_blank">notes.git</a> repository.'
+ my_description: 'Generate the HTML of the reproducible builds howto, triggered by changes to the <a href="https://anonscm.debian.org/cgit/reproducible/reproducible-builds-howto.git" target="_blank">reproducible-builds-howto.git</a> repository.'
my_timed: '57 0 * * *'
my_gitrepo: 'git://git.debian.org/git/reproducible/reproducible-builds-howto.git'
my_shell: '/srv/jenkins/bin/reproducible_html_howto.sh'
my_recipients: 'jenkins+debian-reproducible qa-jenkins-scm@lists.alioth.debian.org'
my_node: ''
+ - '{name}_html_spec_source_date_epoch':
+ my_description: 'Generate the HTML of the reproducible builds SOURCE_DATE_EPOCH specification, triggered by changes to the <a href="https://anonscm.debian.org/cgit/reproducible/source-date-epoch-spec.git" target="_blank">source-date-epoch-spec.git</a> repository.'
+ my_timed: '57 0 * * *'
+ my_gitrepo: 'git://git.debian.org/git/reproducible/source-date-epoch-spec.git'
+ my_shell: '/srv/jenkins/bin/reproducible_html_specs.sh source-date-epoch-spec'
+ my_recipients: 'jenkins+debian-reproducible qa-jenkins-scm@lists.alioth.debian.org'
+ my_node: ''
- '{name}_html_all_packages':
my_description: 'Generate HTML results (for all packages) for reproducible builds. This job is rather redudant and just run to give a fuzzy warm feeling all pages are good.'
my_timed: '37 13 * * 1'